class Config {
  static Config? _instance;

  static Config get instance {
    if (_instance == null) {
      throw Exception("Config is not initialized");
    }
    return _instance!;
  }

  static void init(String baseUrl, String applicationToken, String apiVersion,
      String clientPublicKey, String clientPrivateKey) {
    _instance = Config._internal(baseUrl, applicationToken, apiVersion,
        clientPublicKey, clientPrivateKey);
  }

  Config._internal(this.baseUrl, this.applicationToken, this.apiVersion,
      this.clientPublicKey, this.clientPrivateKey);

  final String baseUrl;
  final String applicationToken;
  final String apiVersion;
  final String clientPublicKey;
  final String clientPrivateKey;
}
