/// Defines how a class should be cloned.
///
/// Concrete classes which inherit from [Cloneable] must also override the [==]
/// operator and the [hashCode] getter.
abstract class Cloneable {
  /// Specify how to clone the concrete class.
  Cloneable copyWith();

  // "other" is a nullable object (Object?) to force the override in all the
  // concrete classes.
  //
  // DO NOT CHANGE THIS!
  @override
  bool operator ==(Object? other);

  @override
  int get hashCode;
}
