import 'package:apollopay/src/api/config.dart';
import 'package:apollopay/src/api/entities/crypto/currency_entity.dart';
import 'package:apollopay/src/api/services/client_http_service.dart';
import 'package:http/http.dart' as http;

class RatesService extends ClientHttpService {
  RatesService({
    required String baseUrl,
    String endpoint = "/crypto/rates/",
  }) : super(baseUrl: baseUrl, endpoint: endpoint);

  Future<double> getRate(Currency currency) async {
    return await http.get(
        Uri.parse('$baseUrl$endpoint${currency.index}?fiat=CAD'),
        headers: {
          'content-type': 'application/json',
          'x-auth-token': applicationToken ?? '',
          'x-auth-private': Config.instance.clientPrivateKey,
          'x-auth-public': Config.instance.clientPublicKey,
        }).then((response) async {
      switch (response.statusCode) {
        case 200:
          return double.parse(response.body);
        default:
          throw Exception("Failed to get rate.");
      }
    });
  }
}
